%{?mingw_package_header}

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:           mingw-adwaita-icon-theme
Version:        47.0
Release:        %mkrel 1
Summary:        Adwaita icon theme for MingGW
Group:          Development/Other

License:        LGPLv3+ or CC-BY-SA
URL:            https://www.gnome.org/
Source0:        https://download.gnome.org/sources/adwaita-icon-theme/%{url_ver}/adwaita-icon-theme-%{version}.tar.xz

BuildArch:      noarch
BuildRequires:  meson
BuildRequires:  mingw32-filesystem
BuildRequires:  mingw64-filesystem
BuildRequires:  mingw32-gcc
BuildRequires:  mingw64-gcc
BuildRequires:  intltool
BuildRequires:  librsvg2
# (tv) for /usr/bin/gtk-encode-symbolic-svg:
BuildRequires:  pkgconfig(gtk+-3.0)

%description
This package contains the Adwaita icon theme used by the GNOME desktop.
This is the MinGW version of this package.

%package -n mingw32-adwaita-icon-theme
Summary:        MinGW Adwaita icon theme for MingGW
Group:          Development/Other
Requires:       pkgconfig

%description -n mingw32-adwaita-icon-theme
This package contains the icons and pkgconfig file for applications that use
the Adwaita icon theme.

%package -n mingw64-adwaita-icon-theme
Summary:        MinGW Adwaita icon theme for MingGW
Group:          Development/Other
Requires:       pkgconfig

%description -n mingw64-adwaita-icon-theme
This package contains the icons and pkgconfig file for applications that use
the Adwaita icon theme.

%prep
%setup -q -n adwaita-icon-theme-%{version}


%build
%mingw_meson
%mingw_ninja


%install
%mingw_ninja_install


%files -n mingw32-adwaita-icon-theme
%license %{mingw32_datadir}/licenses/adwaita-icon-theme/COPYING
%license %{mingw32_datadir}/licenses/adwaita-icon-theme/COPYING_CCBYSA3
%license %{mingw32_datadir}/licenses/adwaita-icon-theme/COPYING_LGPL
%doc AUTHORS NEWS
%{mingw32_datadir}/pkgconfig/adwaita-icon-theme.pc
%dir %{mingw32_datadir}/icons/Adwaita
%{mingw32_datadir}/icons/Adwaita/16x16
%{mingw32_datadir}/icons/Adwaita/cursors
%{mingw32_datadir}/icons/Adwaita/scalable
%{mingw32_datadir}/icons/Adwaita/index.theme
%{mingw32_datadir}/icons/Adwaita/symbolic
%{mingw32_datadir}/icons/Adwaita/symbolic-up-to-32/
%ghost %{mingw32_datadir}/icons/Adwaita/icon-theme.cache

%files -n mingw64-adwaita-icon-theme
%license %{mingw64_datadir}/licenses/adwaita-icon-theme/COPYING
%license %{mingw64_datadir}/licenses/adwaita-icon-theme/COPYING_CCBYSA3
%license %{mingw64_datadir}/licenses/adwaita-icon-theme/COPYING_LGPL
%doc AUTHORS NEWS
%{mingw64_datadir}/pkgconfig/adwaita-icon-theme.pc
%dir %{mingw64_datadir}/icons/Adwaita
%{mingw64_datadir}/icons/Adwaita/16x16
%{mingw64_datadir}/icons/Adwaita/cursors
%{mingw64_datadir}/icons/Adwaita/scalable
%{mingw64_datadir}/icons/Adwaita/index.theme
%{mingw64_datadir}/icons/Adwaita/symbolic
%{mingw64_datadir}/icons/Adwaita/symbolic-up-to-32/
%ghost %{mingw64_datadir}/icons/Adwaita/icon-theme.cache



%changelog
* Fri Sep 20 2024 daviddavid <daviddavid> 47.0-1.mga10
+ Revision: 2099218
- new version 47.0

* Sun Jun 02 2024 daviddavid <daviddavid> 46.2-1.mga10
+ Revision: 2069242
- new version 46.2

* Mon May 06 2024 daviddavid <daviddavid> 46.0-1.mga10
+ Revision: 2062409
- new version: 46.0

* Fri Oct 13 2023 daviddavid <daviddavid> 45.0-1.mga10
+ Revision: 1995578
- new version: 45.0

* Wed Sep 20 2023 daviddavid <daviddavid> 44.0-1.mga10
+ Revision: 1988281
- new version 44.0

* Mon Nov 21 2022 daviddavid <daviddavid> 43-1.mga9
+ Revision: 1909712
- new version 43

* Wed Mar 30 2022 umeabot <umeabot> 40.1.1-2.mga9
+ Revision: 1835561
- Mageia 9 Mass Rebuild

* Wed May 05 2021 ovitters <ovitters> 40.1.1-1.mga9
+ Revision: 1721484
- new version 40.1.1

* Wed Apr 21 2021 ovitters <ovitters> 40.0-1.mga9
+ Revision: 1717858
- new version 40.0

* Mon Sep 14 2020 ovitters <ovitters> 3.38.0-1.mga8
+ Revision: 1626369
- new version 3.38.0

* Tue Sep 01 2020 ovitters <ovitters> 3.37.92-1.mga8
+ Revision: 1620613
- new version 3.37.92

* Wed Jun 10 2020 ovitters <ovitters> 3.37.2-1.mga8
+ Revision: 1591689
- new version 3.37.2

* Fri Apr 17 2020 ovitters <ovitters> 3.36.1-1.mga8
+ Revision: 1568278
- new version 3.36.1
+ danf <danf>
- Switch URLs from http: to https:

* Sun Mar 08 2020 ovitters <ovitters> 3.36.0-1.mga8
+ Revision: 1554834
- new version 3.36.0

* Thu Feb 27 2020 ovitters <ovitters> 3.35.92-1.mga8
+ Revision: 1551018
- new version 3.35.92

* Mon Feb 17 2020 umeabot <umeabot> 3.35.91-2.mga8
+ Revision: 1537754
- Mageia 8 Mass Rebuild

* Mon Feb 17 2020 ovitters <ovitters> 3.35.91-1.mga8
+ Revision: 1537050
- new version 3.35.91

* Fri Nov 08 2019 ovitters <ovitters> 3.34.3-1.mga8
+ Revision: 1458767
- new version 3.34.3

* Mon Nov 04 2019 ovitters <ovitters> 3.34.1-1.mga8
+ Revision: 1457710
- new version 3.34.1

* Mon Sep 16 2019 daviddavid <daviddavid> 3.34.0-1.mga8
+ Revision: 1442147
- new version: 3.34.0

* Wed Apr 17 2019 daviddavid <daviddavid> 3.32.0-1.mga7
+ Revision: 1391997
- new version: 3.32.0

* Mon Nov 19 2018 ovitters <ovitters> 3.30.1-1.mga7
+ Revision: 1331786
- new version 3.30.1

* Thu Sep 20 2018 umeabot <umeabot> 3.30.0-2.mga7
+ Revision: 1279523
- Mageia 7 Mass Rebuild

* Mon Sep 03 2018 ovitters <ovitters> 3.30.0-1.mga7
+ Revision: 1256600
- new version 3.30.0

* Sat Aug 04 2018 daviddavid <daviddavid> 3.29.90-1.mga7
+ Revision: 1247190
- new version: 3.29.90

* Thu Apr 07 2016 tv <tv> 3.20-1.mga6
+ Revision: 999120
- new release

* Tue Apr 05 2016 tv <tv> 3.18.0-1.mga6
+ Revision: 998558
- imported package mingw-adwaita-icon-theme


* Tue Apr 05 2016 Thierry Vignaud <tv@mageia.org> 3.18.0-1.mga6
- import from FC
